Create JWT IdP configuration
Creates a new JWT-based Identity Provider (IdP) configuration for the Tenant by specifying algorithms, mapping, and endpoint information, enabling authentication and federation with the specified IdP.
Creates a new JWT-based Identity Provider (IdP) configuration for the Tenant by specifying algorithms, mapping, and endpoint information, enabling authentication and federation with the specified IdP.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/jwt-clients" \ -H "Content-Type: application/json" \ -d '{ "Algo": "HS256", "Audience": [ "aud1", "aud2" ], "LoginUrl": "https://example.com", "Mapping": { "email": "Email[0].Value", "uid": "Uid" }, "Metadata": { "orgId": "123456" }, "NotAfterDifference": 900, "NotBeforeDifference": 0, "QueryStringParameter": "id_token", "ResponseMode": "query", "Secret": "f5d70720-1a95-4cff-a2c5-5fd25e115aab", "AppName": "jwtapp" }'{
"AppName": "jwtapp"
}{
"ErrorCode": 7914,
"Message": "Post body is invalid",
"Description": "Please use a valid post body in JSON format."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Request couldn't be processed due duplicated app name of JWT configuration, Please use a unique name in order to process this request.",
"ErrorCode": 7960,
"Message": "A JWT config already exist"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}List JWT IdP clients GET
Retrieves a list of all configured JWT-based Identity Provider (IdP) integrations for the Tenant, including algorithms, mapping, endpoints, and settings used for authentication and federation.
Retrieve JWT IdP configuration GET
Retrieves the details of a specific JWT-based Identity Provider (IdP) configuration for the Tenant using the AppName, including algorithms, mapping, and endpoints associated with the application.